package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Anb;
import com.brilliance.isc.vo.manager.AnbRequestVo;
import com.brilliance.isc.vo.manager.AnbRespVo;

import java.util.List;

/**
* @author mkz
* @description 针对表【anb(2120对账信息导入表)】的数据库操作Mapper
* @createDate 2024-07-15 20:39:30
* @Entity generator.domain.anb
*/
public interface AnbMapper {

    int deleteByPrimaryKey(Long id);

    int insert(Anb record);

    int insertSelective(Anb record);

    Anb selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Anb record);

    int updateByPrimaryKey(Anb record);

    List<AnbRespVo> selectByCondition(AnbRequestVo anbRequestVo);

}
